Subject: ANNOUNCE: Net::Telnet version 3.01
From: Jay Rogers <[email-masked]>
Date: 2 Jan 1998 23:58:27 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

I've uploaded Net::Telnet version 3.01 to CPAN.  Look for it at a CPAN
site near you.

    $CPAN/modules/by-module/Net/Net-Telnet-3.01.tar.gz

This version fixes a bug in cmd() where the first line of output
would sometimes be removed.

The routine fhopen() now works with uni-directional pipes like STDIN.
You can use this feature with any perl filehandle to wait for patterns
to appear or to read using a timeout.

See the file ChangeLog in the distribution for a complete list of
changes. 

The latest Perl Journal contains an article on about Net::Telnet.
Buying "The Perl Journal" is one way to help promote Perl - it's also
cool :-)

For those unfamiliar with Net::Telnet, here's some text from the
README file:

                      Net::Telnet, version 3.01

  What's In It For You
  --------------------

   .  You'd like to communicate with another host or device via a
      TELNET port and you'd like some specialized routines to help you
      login and do other interactive things.

   .  You're not familiar with sockets and you want a simple way to
      make client connections to TCP services.

   .  You want to be able to specify your own time-out while
      connecting, reading, and writing.

   .  You're communicating with an interactive program at the other
      end of some socket or pipe and you want to wait for certain
      patterns to appear.

  Archive Location
  ----------------

    .  In the CPAN directory: modules/by-module/Net/

    .  To find a CPAN site near you see http://cpan.perl.org/SITES.html

  Prerequisites
  -------------

    .  Perl Version 5.002 or later

    .  A Windows 95/NT machine requires Perl version 5.003_07 or later

    .  No other modules are required that don't already come with a
       standard distribution of Perl.

  Description
  -----------

    Net::Telnet allows you to make client connections to a TCP port
    and do network I/O, especially to a port using the TELNET
    protocol.  Simple I/O methods such as print, get, and getline are
    provided.  More sophisticated interactive features are provided
    because connecting to a TELNET port ultimately means communicating
    with a program designed for human interaction.  These interactive
    features include the ability to specify a timeout and to wait for
    patterns to appear in the input stream, such as the prompt from a
    shell.

    Here's an example that prints who's logged-on to the remote host
    sparky.  In addition to a username and password, you must also
    know the user's shell prompt, which for this example is bash$

        use Net::Telnet ();
        $t = new Net::Telnet (Timeout => 10,
                              Prompt => '/bash\$ $/');
        $t->open("sparky");
        $t->login($username, $passwd);
        @lines = $t->cmd("/usr/bin/who");
        print @lines;

    See the user documentation for more examples.

    This is an alpha version - meaning that the interface may change
    in future versions.  Contact me, Jay Rogers <[email-masked]>, if you
    find any bugs or have suggestions for improvement.

  Documentation
  -------------

    User documentation in POD format is contained within the module
    source (i.e. the .pm file).  Installing using "make install"
    places this documentation in a man page in the perl library under
    the directory "man/man3".